local downloadList = {
	{ "533.txd", 533 },
	{ "533.dff", 533 },
}

addEventHandler ( "onClientResourceStart", resourceRoot,
	function (	)
		for _,v in ipairs ( downloadList ) do
			downloadFile ( tostring ( v [ 1 ] ) )
		end
	end
)

addEventHandler ( "onClientFileDownloadComplete", root,
	function ( fileName, success )
		if ( source == resourceRoot ) then
			for _,v in ipairs ( downloadList ) do
				if ( success ) then
					if ( fileName == tostring ( v [ 1 ] ) ) then
						if ( string.find ( fileName, ".txd" ) ) then
							txd = engineLoadTXD ( tostring ( v [ 1 ] ) )
							engineImportTXD ( txd, tonumber ( v [ 2 ] ) )
						else
							dff = engineLoadDFF ( tostring ( v [ 1 ] ), tonumber ( v [ 2 ] ) )
							engineReplaceModel ( dff, tonumber ( v [ 2 ] ) )
						end
					end
				end
			end
		end
	end
)